log4shib::BasicConfigurator(3)

NAME
log4shib::BasicConfigurator - This class implements a trivial default configuration for log4shib: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category.

SYNOPSIS

#include <BasicConfigurator.hh>

  Static Public Member Functions
static void configure ()
Performs a minimal configuration of log4shib.

Detailed Description

This class implements a trivial default configuration for log4shib: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category.

Since
    0.3.2

Member Function Documentation

  void log4shib::BasicConfigurator::configure () [static]

Performs a minimal configuration of log4shib.

Author

Generated automatically by Doxygen for log4shib from the source code.